<?php
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2008 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 * *******************************************************************************/
/*
 * Created on Apr 13, 2007
 *
 * To change the template for this generated file go to
 * Window - Preferences - PHPeclipse - PHP - Code Templates
 */
 require_once('include/MVC/View/views/view.edit.php');
 class EcmPaymentConditionsViewEdit extends ViewEdit{
 
 	var $scriptOpt = '';
	
 	function ViewEdit(){
 		parent::SugarView();
 	}

 	function preDisplay(){
 		parent::preDisplay();
 	}

 	function display(){

		global $mod_strings;
		$OPT = array();	

		$json = getJSONobj();
		$this->scriptOpt = '<script language="javascript">
								var OPT = '.str_replace('&quot;','\"',$json->encode($OPT)).';
								var MOD = '.str_replace('&quot;','\"',$json->encode($mod_strings)).';
					  		</script>';

		global $app_list_strings;
		$table = '<table style="width:100%;">';
		foreach($app_list_strings['ecmlanguages_dom'] as $key => $value) {
			$table .=  '<tr><td style="width:150px;vertical-align:top;">'.$value.':</td><td><textarea id="translation_'.$key.'" name="translation_'.$key.'" rows="2" cols="60">'.(isset($this->bean->translations[$key])?$this->bean->translations[$key]:'').'</textarea></td></tr>';
		}
		$table .= '</table>';
		$this->ev->ss->assign('translations',$table);

		echo $this->scriptOpt;
		
		$this->ev->process();
		if($this->ev->isDuplicate) {
		   foreach($this->ev->fieldDefs as $name=>$defs) {
		   		if(!empty($defs['auto_increment'])) {
		   		   $this->ev->fieldDefs[$name]['value'] = '';
		   		}
		   }
		}
		echo $this->ev->display($this->showTitle);
 	}


 }
?>
